{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
  {% block contenido_ajax %}
    <!DOCTYPE html>
    <html lang="en" dir="ltr">
      <head>
        <meta charset="utf-8">
        <title>Enviar Correo</title>
      </head>
      <body>
        <div class="container">
          <div class="row justify-content-center mt-5">
            <div class="col-md-6">
              <center><h2>Enviar correo</h2></center>

              <form method="post" action="{% url 'hospitales:enviar_correo' %}" id="frm_nuevo_correo">
                {% csrf_token %}
                <label for="destinatario">Destinatario :</label><br>
                <input class="form-control" id="destinatario" type="email" name="destinatario" placeholder="Ingrese correo destinatario" required><br>
                <label for="asunto">Telefono :</label><br>
                <input class="form-control" id="asunto" type="text" name="asunto" placeholder="Ingrese su numero de Telefono" required><br>
                <label for="cuerpo">Mensaje :</label><br>
                <textarea class="form-control" id="cuerpo" name="cuerpo" placeholder="Ingrese un mensaje" required></textarea> <br>

                <div style="text-align: center;">
                  <input class="btn btn-primary" type="submit" value="Enviar correo">
                </div>
              </form>

              {% if messages %}
                {% for message in messages %}
                  <div class="alert alert-success mt-3" role="alert">
                    {{ message }}
                  </div>
                {% endfor %}
              {% endif %}
            </div>
          </div>
        </div>
      </body>
    </html>



  <script type="text/javascript">
    $(document).ready(function() {
        $("#frm_nuevo_correo").validate({
            rules: {
                "destinatario": {
                    required: true
                },
                "asunto": {
                    required: true
                },
                "cuerpo": {
                    required: true,
                }
            },
            messages: {
                "destinatario": {
                    required: "POR FAVOR INGRESE EL DESTINATARIO"
                },
                "asunto": {
                    required: "DEBE INGRESAR EL TELEFONO"
                },
                "cuerpo": {
                    required: "DEBE INGRESAR EL MENSAJE",
                }
            }
        });
    });
</script>

  {% endblock %}
  {% block scripts %}
    {{ block.super }}
  {% endblock %}
{% endblock %}
